The BOOST_PP_TUPLE_REVERSE macro reverses a tuple of the specified size.

#### Usage

BOOST_PP_TUPLE_REVERSE(size, tuple)

#### Arguments

size
  The size of the tuple to be reversed. Valid tuple sizes range from 0 to BOOST_PP_LIMIT_TUPLE.
tuple
  The tuple to be reversed.

#### Remarks

The size argument must be the actual size of the tuple.

#### See Also

- BOOST_PP_LIMIT_TUPLE

#### Requirements

Header: <boost/preprocessor/tuple/reverse.hpp>

#### Sample Code

    #include <boost/preprocessor/tuple/reverse.hpp>

    BOOST_PP_TUPLE_REVERSE(3, (x, y, z)) // expands to (z, y, x)